Sie sind auf Seite 1von 106

DMU Optimizer

Preface
What's New?
Getting Started
Basic Tasks
Advanced Tasks
Workbench
Description

Dassault Systmes 1994-2000. All rights reserved.

Preface
DMU OPTIMIZER is a product dedicated to improve user's productivity by computing an
optimized geometrical representation of data for mockup verification in the context of the
immersive and collaborative design review environment of the full digital mockup. DMU
OPTIMIZER facilitates the full integration of Digital Mockup centric processes within the global
engineering environment of the customer.
DMU OPTIMIZER is a dedicated DMU Navigator workbench and is available on both UNIX and
Windows NT environments.
This guide is organized as follows:
Getting Started
Provides a scenario allowing you to get acquainted with the product.
Basic Tasks
Provides a step-by-step guide for using DMU Optimizer. Useful tips are given for getting the
most out of the product.
Workbench Description
Describes menu commands and workbench toolbars that are useful for DMU Optimizer.
Using This Guide
More Information

Using This Guide


The user should be familiar with basic Infrastructure Version 5 concepts such as document windows, standard and
view toolbars.
To get the most out of DMU Optimizer, use the following user guide wizard. It will help you better locate information
relevant to you as well as to the way you work.
User Guide Wizard
Go to:
The
Getting
Started
tutorial.
Once
you
have
finished,
you should move on to the basic user task section
I am a first
time user
of this guide. This steps you through basic procedures.
Your DMU Optimizer Version 5 session and start reviewing your own documents. If you need some help
I have used
in
understanding tools and commands, use the on-line help. You can also take a look at the basic user
DMU
task section of this guide to locate information with which you are not already familiar. You will use the
Optimizer
before
samples contained in C:\Program Files\Dassault Systemes\B05doc\online\dmoug\samples folder.

Where to Find More Information


Prior to reading this book, we recommend that you read the DMU Navigator User's Guide.
You may also like to read the following complementary DMU Navigator product guides, for
which the appropriate license is required:
DMU Fitting Simulator User's Guide
DMU Space Analysis User's Guide.
DMU Kinematics Simulator User's Guide
DMU Navigator User's Guide
DMU Plant & Ship Review User's Guide
DMU Infrastructure User's Guide
Conventions

Conventions
Certain conventions are used in CATIA, ENOVIA & DELMIA documentation to help you
recognize and understand important concepts and specifications. The following text
conventions may be used:
The titles of CATIA, ENOVIA & DELMIA documents appear in this manner throughout the
text.
File -> New identifies the commands to be used.
The use of the mouse differs according to the type of action you need to perform.
Use this
mouse button, whenever you read
Select (menus, commands, geometry in graphics area, ...)
Click (icons, dialog box buttons, tabs...)
Double-click
Shift-click
Ctrl-click
Check (check boxes)
Drag
Drag and drop (icons onto objects, objects onto objects)
Drag
Move
Right-click (to select contextual menu)

Graphic conventions are denoted as follows:


indicates the estimated time to accomplish a task.

indicates a target of a task.


indicates the prerequisites.
indicates the scenario of a task.
indicates tips

indicates a warning.
indicates information.
indicates the end of a task.
indicates functionalities that are new or enhanced with this Release.
Enhancements can also be identified by a blue-colored background in the left-hand
margin.

What's New?
New: Capability to interrupt the computation while using DMU Optimizer commands (except
for Thickness and Offset commands)
See Generating a Wrapping
New: Possibility to save every geometry resulting from a DMU Optimizer command in WRL
format.
See: Generating a Wrapping
Enhanced: Free Space
You can now compute the available space inside a geometry representation regarding to the
connectivity and selecting a point.
Enhanced: Managing an Alternate Shape

Getting Started
Before getting into the detailed instructions for using DMU Optimizer, the following tutorial
aims at giving you a feel of what you can do with the product. It provides a step-by-step
scenario showing you how to use key functions.
The main tasks described in this section are:
Starting a Session
Generating a Silhouette
Generating a Wrapping
Generating a Thickness
Generating an Offset

Starting a DMU Optimizer Session


Before starting this scenario, you should be familiar with the basic commands common to all
workbenches. These are described in the DMU Navigator User's Guide.
This first task will show you how to enter the DMU Optimizer workbench and select your models
1. Select Digital Mockup -> DMU Optimizer from the Start menu.
The DMU Optimizer workbench is loaded and an empty document opens:

2. Select Insert -> Existing Component... from the menu bar.


If the menu item cannot be selected, select and right-click product1 in the specification tree and select
Existing Component... from the contextual menu.
3. Select the desired model files by clicking the first one then shift-clicking the last one you want (Here,
select the *.cgr files except SWEPT*.cgr and Tank*.cgr)
4. 4. Click Open to open the selected files.
The specification tree is displayed showing all the selected products.

Use the Fit All In icon

to position the model geometry on the screen.

Generating a Silhouette
This task will show you how to calculate new geometry and in this case generate a
silhouette.
Insert the *.cgr files (except SWEPT*.cgr and Tank*.cgr) from the samples folder.
(Use Insert-> Existing Component...)
(Optional)
You can manage the Silhouette result as alternate shape automatically.
For more details, please refer to Managing an Alternate Shape.
1.
Click the Silhouette icon
from the DMU Optimizer toolbar.
The Silhouette dialog box appears:

2. Select Product1 in the specification tree. (the number of triangles representing the
tesselated shape of the selected product is displayed in the Number of triangles
field.)

3. Enter the desired value in the Accuracy field for instance 2mm.
4.
Click the more button
to display the View Multiselection dialog box.
5. Select the desired views. The 6 views for instance.
6. Click OK to confirm your operation.

7. Click the Apply button to obtain a silhouette preview.

The progress bar is displayed letting you monitor and, if necessary, interrupt
(Cancel option) the calculation.
The Preview window is also displayed.

The number of triangles representing the silhouette result is displayed in the


Number of triangles field as shown below:

8. Click OK to save the silhouette representation.


The Save As dialog box is automatically displayed
Note: you can now save your resulting representation in vrml format. ( wrl

Generating a Wrapping
This task will show you how to generate a Wrapping representation.

1.

Insert the *.cgr files (except SWEPT*.cgr and Tank*.cgr) from the samples
folder.
(Optional)
You can manage your Wrapping result as alternate shape automatically.
Please refer to Managing an Alternate Shape.
Select Product 1 in the specification tree.

2.
Click the Wrapping icon
from
the DMU Optimizer toolbar.
The Wrapping dialog box appears:
The number of triangles
representing the selected product is
displayed in the Number of triangles
field:
3.

Set the grain accuracy by entering


a value, 4mm for example.
Setting the Ratio
The Ratio determines the wrapping representation. A lower ratio results in a
thinner wrapping coverage.

4.

Move the slider to the right to set


the ratio to 0.40 for example.

5.

Click Apply to obtain a preview.


The progress bar is displayed letting you monitor and, if necessary, interrupt
(Cancel option) the calculation.

The number of triangles representing the wrapping result is displayed in the


Number of triangles field as shown below:

The Preview window is also displayed:

6.

Click OK.
The Save As dialog box appears:

7.

Select the format to obtain either a cgr or a wrl file. Select cgr and click Save.

Generating a Thickness
This task will show you how to generate a thickness object.
Load SCENARIO01.model from the samples folder using the Insert -> Existing Component... command.
Use the Fit All In icon
to position the model geometry on the screen.
(Optional)
You can manage automatically the Thickness result as alternate shape.
Please refer to Managing an Alternate Shape.
1.
Click the Thickness icon
from the DMU Optimizer toolbar.
The Thickness dialog box appears.
2. Select SCENARIO01.model in the specification tree.

3. Enter the Offset values:


Offset 1: 2mm
Offset 2: 0mm
4. Click Apply to generate the thickness representation
The preview window is displayed.

The Orientation constraints option is deactivated by default. The constraint propagation is done
automatically.

5. Zoom to visualize better the thickness result:


You are not satisfied with the result.

You are still in the Thickness command.


6. Activate the Orientation constraints option in the dialog box still displayed:

7. Click Apply.
The propagation of constraints is not complete. The surfaces concerned are highlighted.
8. Reactivate the Orientation constraints option. This lets you define constraints on the initial representation.
9. Define constraints for the corresponding surfaces:
Drag the cursor onto the surface
When you are satisfied, click the left-hand mouse
button.
The constraint is created.

At anytime, you can delete a constraint, what you need to do is to click on the white square.
Note that if you click the arrow, you invert the constraint orientation.
10. Click Apply when done. The surfaces are correctly positioned.

11. Click OK.


The Save As dialog box appears:

12. Enter a meaningful name.


Select either cgr or wrl. In our example, select cgr and click Save.

Generating an Offset
This functionality lets you add an offset to a selected set of products. You can define
the orientation in which the offset will be applied. This orientation can be changed
manually or automatically afterwards.
Insert SCENARIO01.model document from the samples folder.
Use the Fit All In icon

to position the model geometry on the screen.

1.
Click the Offset icon
from
the DMU Optimizer toolbar.
The Offset dialog box is
displayed:

2. Select SCENARIO01 in the specification tree.


3. Enter the Offset value, 2mm for
instance.

4. Click Apply to obtain a preview.

5. Activate the Orientation


constraints option in the dialog
box still displayed:
6. Click Apply.
Orientation Constraints
The Orientation constraints option is deactivated by default. (The propagation
of default orientation constraints is done automatically).
The constraints define the orientation of the offset (positive).
7. Click OK.
The Save As dialog box appears
9. Enter a meaningful name, select either wrl or cgr. When done, click Save.

Basic Tasks
The table below lists the tasks you will find in this section.

Simplifying a Representation (Using Silhouette or Wrapping Functionalities)


Thickness and Offset
Swept Volume
Generating a Free Space

Simplifying a Representation
(Using Silhouette or Wrapping
Functionalities)
About Representation Simplification: gives background information about representation
simplification
Generate a Silhouette: click the Silhouette icon and select an object in the specification
tree then enter the desired value in the grain field from the Silhouette dialog box. Click
Apply. When done, click Ok to save the silhouette representation.
More About Silhouette: provides examples and explanations about silhouette
functionality
Generate a Wrapping: click the Wrapping icon and select an object, then enter the
desired value in the precision accuracy field (Wrapping dialog box). Move the slider to
the right to set the ratio. Click Apply. When done, click Ok to save the wrapping
representation.
More About Wrapping: provides examples and explanations about wrapping functionality

About Representation Simplification


DMU Optimizer lets you simplify a geometric representation with the two following
functionalities:
Silhouette: keeps only the external representation of a model.
The result obtained is as precise as the initial geometric representation.
Wrapping: provides a simplified external representation of a geometry through an
additional tessellation computation.
Depending on the computation parameters selected, the result obtained can be
very "light" (but less accurate) or more precise (but "heavier").
These two powerful functionalities allow the user to improve his productivity at any stage
of the digital mockup review by significantly reducing the size of the mockups.
They also offer an easy solution to protect confidential information by replacing accurate
models with their simplified representation.

Generating a Silhouette
Silhouette functionality:
allows to select a part or an assembly and only keeps the external facets of
the selection. When in interaction with other parts, the same accuracy is
kept while the file size is significantly reduced. For reviewing, the outer
aspect of the part is identical to the original model (surface appearance,
color...)
lets you work on the Accuracy parameter in order to optimize the number of
removed facets inside the silhouette
allows you to work with 1 to 6 standard views and to use a camera from
DMU Navigator to create an additional view of the silhouette. You can
easily keep track of details that might have been lost with the standard
views: for example you can set a camera on a hole axis in order to
visualize data hidden from most views.
For more detailed information, please refer to More About Silhouette Functionality
This task will show you how to use silhouette functionality to simplify a geometric
representation.
Insert the *.cgr files (except SWEPT*.cgr and Tank*.cgr) from the samples
folder.
(Optional)
You can manage automatically your Silhouette result as an alternate shape of the
initial component.
1.
Click the Silhouette icon
from
the DMU Optimizer toolbar.
The Silhouette dialog box appears:

About selection:
you can select any node within the specification tree (terminal/non terminal) but
note that you can select only one node at a time.

2. Select the product you need to simplify (i.e.Product1) in the specification tree or in
the geometry area.
The number of triangles representing the selected product is displayed in the
number of triangles field.
Setting the Accuracy:
lets you define the silhouette calculation accuracy. A lower value results in slower
computation time, but a "lighter" silhouette representation.
3. Enter the desired value in the Accuracy field for instance 2mm.
Please refer to More About Silhouette Functionality-Step 1

4.

to display the selection list. Please refer to More


Click the more button
About Silhouette Functionality-Step 2

5. Select the desired views. The 6 views for instance.


6.
Click OK to confirm your operation.

7. Click the Apply button to obtain a


silhouette preview.

The progress bar is displayed letting you monitor and, if necessary, interrupt
(Cancel option) the calculation.

The Preview window is also displayed.

The number of triangles representing the silhouette result is displayed in the


Number of triangles field as shown below:

8. Click OK.
The Save As dialog box is displayed:
Note: you can now save your result in wrl format
9. Select cgr and click Save.

Alternate Shape:
(Optional)
You can manage automatically your Silhouette result as an alternate shape of the
initial component.
For this:
a. Select Tools->Options from the menu bar.
The Options dialog box displays.
b. Expand the Digital Mockup category from the left-hand tree.
c. Select DMU Optimizer item to display the corresponding tab.
d. In the Silhouette field, check the Manage as alternate shape button and check
the Activate shape option.

The silhouette result will be added as a new representation of the initial


component.
For more details, please refer to Customizing DMU Optimizer Settings and
Managing as an Alternate Shape.

Remember you can customize silhouette settings at any time.

More About Silhouette


How is the silhouette representation calculated?
The silhouette of a geometry is obtained by:
1. computing a discrete envelope of the original representation (discretization
parameter = accuracy)
2. filtering the triangles of the geometry which:
do not belong to this envelope
are not seen from the selected view (s)
The following example aims at illustrating these two steps as well as the impact of
accuracy and view parameters on the final result.

Step 1: Envelope computation (using the Accuracy parameter)


Case 1: You select a small accuracy value

Case 2: You select great accuracy


value

Step 2: Filtering triangles (using the View parameter)


Case 1:
Case 2:
This image illustrates the result you obtain if you select 4 views

This image illustrates the result you obtain if you select 1 view

The table below shows the accuracy impact on the silhouette calculation

Accuracy

Computation Time

Used Memory Simplification Rate

Greater

Shorter

Less

Lower

Smaller

Longer

More

Higher

Generating a Wrapping
Wrapping functionality:
Lets you select a part or an assembly and wrap it through an additional tessellation
in order to generate a light external envelope of the part. The resulting envelope is
a unique volume.
Provides a selectable tessellation (Grain parameter) which lets you manage the file
size against precision of the wrapped representation
Through this functionality, you can:
drastically reduce the size of your assembly
roughly reserve room for a component not completely designed yet
protect your data confidentiality when sending information to partners
by hiding confidential details of your product
For more detailed information, please refer to More About Wrapping.
This task will show you how to simplify a representation using the Wrapping functionality.

Insert the *.cgr files (except SWEPT*.cgr and Tank*.cgr) from the samples folder.
(Optional)
You can manage automatically your Wrapping result as an alternate shape of the initial
component.
About selection:
you can select any node within the specification tree (terminal/non terminal) but note that
you can select only one node at a time.
1. Select the product to you want to wrap (i.e. Product1) in the specification tree or in the
geometry area.

2.
from the DMU Optimizer toolbar.
Click the Wrapping icon
The Wrapping dialog box is displayed.
The number of triangles representing the selected product is displayed in the number of
triangles field:

Setting the Grain


The grain determines the precision of the wrapping representation. The grain parameter
determines the size of the triangles used to represent the wrapping. A lower setting
results in slower computation time, but a more precise calculation of the wrapping.
For more detailed information, please refer to More About Wrapping-Step 1.
3. Set the grain by entering a value, 4mm for
example.

Setting the Offset Ratio


The Ratio enables to inflate the wrapping representation. A lower ratio value results in a
less enveloping representation.
If you check the cubic option, you will obtain a coarse wrapping representation (voxel) but
enveloping the product entirely.
Please refer to More About Wrapping-Step 2.

4.

Move the slider to the right to set the


ratio to desired value (0.40, for
example).
or if you need a wrapping
enveloping entirely the geometry:
Check the Cubic option to obtain a
voxel representation of the envelope
(the Offset ratio option is grayed out).

5. Click Apply to obtain a preview.


The progress bar is displayed letting you monitor and, if necessary, interrupt (Cancel
option) the calculation.

The preview window lets you see the resulting wrapping:


This is what you obtain with 0.40 as offset
ratio value:

This is what you obtain if you checked the


cubic option :

The number of triangles representing the wrapping result is displayed in the Number of
triangles field as shown below:

6.
Click OK.
The Save As dialog box is automatically displayed:
7. Click Save to obtain either a cgr file or a wrl file. In our example keep cgr as format type.

Alternate Shape:
(Optional)
You can manage automatically your Wrapping result as an alternate shape of the initial
component.
For this:
a. Select Tools->Options from the menu bar.
The Options dialog box is displayed.
b. Expand Digital Mockup category from the left-hand tree.
c. Select DMU Optimizer to display the DMU Optimizer tab.
d. In the Wrapping field, check the Manage as alternate shape button and check the
Activate shape option.

The wrapping result will be added as a new representation of the initial component.
For more details, please refer to Customizing DMU Optimizer Settings and Managing as
an Alternate Shape.
Remember you can customize wrapping settings at any time.

More About Wrapping


How is the wrapping representation calculated?
The wrapping of a geometry is obtained by:
1. computing a set of points regularly spaced on the envelope of the original geometry (distance
between points = grain parameter)
2. offsetting these points to obtain a inflated result which better includes the original geometry
(offset value = grain * offset ratio)
3. building triangles from the set of offset points.

The following example aims at illustrating these three steps as well as the impact of grain and offset
ratio parameters on the final result.

Step 1: Computing Points (using the Grain parameter)

Step 2: Offsetting Points (using the Offset Ratio parameter)

Step 3: Building Result

Case 1: Offset Ratio = 0.0

Case 2: Offset Ratio = 0.5

Cubic option:
If you check the cubic option, you will obtain a voxel (cubic) representation of the envelope. The voxel
size equals the grain parameter. The offset ratio is not used.
This image illustrates the wrapping result with the cubic option checked:

The table below shows the grain parameter impact on the wrapping calculation:

Grain
Value

Computation Time

Used Memory

Resulting Size
(number of
triangles)

Greater

Shorter

Less

Smaller

Smaller

Longer

More

Bigger

The table below shows the offset ratio impact on the wrapping calculation:

Offset
Ratio
Value

Computation
Time

Used
Memory

Resulting
Geometric
Size

Resulting
Size (number
of triangles)

No Change

No Change

Bigger

No change

No Change

No Change

Smaller

No Change

Greater

Smaller
Cubic Mode
Shorter

Less

Includes entirely
the original
geometry

No Change

Thickness and Offset


Generate a Thickness: click the Thickness icon and select an object, then enter the
offset values in the Thickness dialog box. Click Apply to generate the thickness
representation. If you are not satisfied, define constraints manually if necessary. When
done, click Ok and save.
More About Thickness: provides examples and explanations about thickness
functionality.
Generate an Offset: click the Offset icon and select an object, then enter the offset value
in the Offset dialog box. Click Apply. When done, click Ok to save the offset
representation.
More about Offset: provides examples and explanations about thickness functionality.

Generating a Thickness
Thickness functionality:
Allows to create a volume type representation of a selected surface type model
in order
Allows to create a volume typed representation of a selected surface typed
model in order to perform realistic analysis (such as clash, contact check...)
Offsets are applied on both faces of the original 2D surface
Ability to define the orientation in which the offsets are applied. These
orientations can be changed manually or automatically to correct the possible
lack of uniformity between the orientations of the different surfaces.
This functionality is dedicated to all industries where the design is created using
surfaces and where the user needs volume to perform realistic analysis such as
clash checks or measures (volume, inertia...) on the digital mockup. This is for
example the case for the body in white process.
For more detailed information, please refer to More About Thickness.

Insert SCENARIO01.model from the samples folder.


Use the Fit All In icon
to position the model geometry on the screen.
(Optional)
You can manage automatically your Thickness result as alternate shape of the
initial component.
In our example, the Manage Alternate Shape option is checked forThickness.
1.
Click the Thickness icon
from the DMU Optimizer toolbar.
The Thickness dialog box is displayed.
About selection:
you can select any node within the specification tree (terminal/non terminal) but
note that you can select only one node at a time.
Only 2D surface(s) can be selected.

2. Select the surface(s) you want


to work on (i.e.
SCENARIO01.model) in the
specification tree or in the
geometry area.

Setting the Offset values:


Depending on the surface design, you can define any value meeting your needs
(negative, positive, or null)
Please refer to More About Thickness
3. Enter the Offset values:
For instance:
Offset 1: 2mm
Offset 2: 0mm

4. Click Apply to generate the thickness representation.


The preview window is displayed.

5.

Zoom to visualize better the thickness result:

If you are not satisfied with the result (because of gaps between surface patches
or bad offset orientation)
You may use the Orientation constraints option
Orientation Constraints
The Orientation constraints option is deactivated by default. (The default
normal vectors are used)
Through this functionality, you can define the orientation of the offset (on
every surface patch).
If you check the Orientation constraints option (without defining
additional vectors): the normal vector orientation is done
automatically. The first normal vector found defines the reference
orientation which is propagated on the neighboring surfaces.
If the automatic propagation is still incomplete (for example, certain
surfaces are not correctly connected), you need to define manually
normal vectors.
You are still in the Thickness command.
6. Activate the Orientation
constraints option in the dialog
box still displayed:
If you change any of the dialog
box parameters, the initial
representation is displayed

7. Click Apply.

The Propagation is not complete. The surfaces concerned are highlighted.


8. Reactivate the Orientation constraints option. This lets you define constraints on
the initial representation.
9. Define constraint vectors for the corresponding surfaces:
Drag the cursor onto the surface.
When you are satisfied, click the left-hand mouse button.
The constraint vector is created.
At anytime, you can delete a constraint vector, what you need to do is to click on
the white square
Note that if you click the arrow, you invert the constraint vector orientation.
10. Click Apply when done. The calculation is based on the orientation of the
constraint vectors.
This time, the result is correct (there is no longer highlighted surfaces):

11. Click OK.


The Save As dialog box is displayed:
12. Enter a meaningful name, select cgr. When done click Save.
Note: you can now save your result in vrml format selecting wrl as type.

Alternate Shape:
(Optional)
You can manage your Thickness result as alternate shape automatically of the
initial component.
For this:
a. Select Tools->Options from the menu bar.
The Options dialog box appears:
b. Expand the Digital Mockup category from the left-hand tree.
c. Select DMU Optimizer to display the DMU Optimizer tab.
d. In the Thickness field, check the Manage as alternate shape button and
activate the Activate shape option.

The Thickness result will be added as a new representation of the initial


component.
For more details, please refer to Customizing DMU Optimizer Settings and
Managing as an Alternate Shape.
Remember you can customize thickness settings at any time.

More About Thickness


How is the thickness representation calculated?
The thickness representation is obtained by:
selecting offset values depending on the surface design:
surface = solid (neutral fibre)
surface = solid (surface limit)

The thickness value can take any positive or negative value


The following example aims at illustrating the impact of the offset values on the final result.

Case 1: offset 1 value>0 and offset 2 value<0 (or the opposite)


The surface is assigned offsets on both sides

Case 2: offset 1 value>0 and offset 2 value=0 (or the opposite)


The surface is assigned an offset on one side

Case 3: offset 1 value>0 and offset 2 value>0 (or both negative)


The surface is assigned an offset twice on the same side.

Orientation constraints option:


Sometimes you will tackle with design inconsistencies. You can check the orientation constraints option and/or define
orientation constraint vectors to force the orientation of the offset.
This procedure can be used when different surface patches are assigned opposite normal vectors.
The following example aims at illustrating the orientation constraints option.

Case 1: the orientation constraints option is not checked


The default normal vectors define the offset orientation for each surface patch.

Result: If the surface patches are not correctly designed, there might be gaps between the different surface patches. In this
case, you need to use the orientation constraints option (automatic mode)
NB. You should study the result preview carefully to detect inconsistencies.

Case 2: the orientation constraints option is checked (automatic mode)


The first default normal vector defines the offset orientation reference. This orientation is automatically propagated to the
neighboring surfaces.

Result: If the surface patches are not correctly connected, there might still be remaining gaps between surface patches. In
this case, you need to use the orientation constraints option and to define manually constraint vectors.
NB. The surface patches are not correctly connected are highlighted in the result preview.

Case 3: you checked the orientation constraints option and defined two orientation
constraint vectors.
The orientation constraint vectors define the offset orientation references. This resulting orientation is propagated to the
neighboring surfaces of each constraint

NB. The constraint vectors defined manually appear as red arrows on the picture.
Result: The surface patches are now correctly connected (there is no longer highlighted surfaces)

Generating an Offset
Offset functionality:
Allows to add an offset to a selected set of shapes (surfaces or volumes), this provides a security
margin around these shapes
Enables to define the orientation in which the offset is applied. This orientation can be changed
manually or automatically to correct the possible lack of uniformity between the orientation vectors of
the different surfaces.
For more detailed information, please refer to More About Offset.
This task will show you how to generate offsets on a surface or volume using the offset functionality.

Insert SCENARIO01.model from the samples folder.


Use the Fit All In icon
to position the model geometry on the screen.
(Optional)
You can manage automatically your Offset result as alternate shape of the initial component.
1.
from the DMU Optimizer toolbar.
Click the Offset icon
The Offset dialog box is displayed.
About selection:
you can select any node within the specification tree (terminal/non terminal) but note that you can select only
one node at a time.
Only 2D: surface(s) or 3D: solids can be selected.
2. Select the solid or surface you want to work on (i.e.
SCENARIO0. model) in the specification tree or in the
geometry area.

The result can be surface or a solid. The type of the offset result will be the same.
3. Enter the Offset value, 2mm for instance.

4.
Click Apply to generate the offset representation.
The Preview window is displayed:

5. Zoom to visualize better the offset result.


If you are not satisfied with the result (because of gaps between surface patches or bad offset orientation)
You may use the Orientation constraints option

Orientation Constraints
The Orientation constraints option is deactivated by default. (The default normal vectors are used)
Through this functionality, you can define the orientation of the offset (on every surface patch).
If you check the Orientation constraints option (without defining additional vectors): the normal
vector orientation is done automatically. The first normal vector found defines the reference
orientation which is propagated on the neighboring surfaces.
If the automatic propagation is still incomplete (for example, certain surfaces are not correctly
connected), you need to define manually normal vectors.

You are still in the Offset command.


6.
Activate the Orientation constraints option in the dialog box still displayed:

7. Click Apply.
The Propagation is not complete. The surfaces concerned are highlighted.
8. Reactivate the Orientation constraints option. This lets you define constraints on the initial representation.

9. Define constraint vectors for the corresponding surfaces:


Drag the cursor onto the surface.
When you are satisfied, click the left-hand mouse button.
The constraint vector is created.
At anytime, you can delete a constraint vector, what you need to do is to click on the white square
Note that if you click the arrow, you invert the constraint vector orientation.
10. Click Apply when done. The calculation is based on the orientation of the constraint vectors.
This time, the result is correct (there is no longer highlighted surfaces):

11. Click OK.


The Save As dialog box is displayed:
12. Enter a meaningful name and save in cgr format.

Alternate Shape:
(Optional)
You can manage automatically your Offset result as alternate shape of the initial component.
For this:
a. Select Tools->Options from the menu bar.
The Options dialog box displays.
b. Expand the Digital Mockup category from the left-hand tree.
c. Select DMU Optimizer to display the DMU Optimizer tab.
d. In the Offset field, check the Manage as alternate shape button and activate the Activate shape option.

The Offset result will be added as a new representation of the initial component.
For more details, please refer to Customizing DMU Optimizer Settings and Managing as an Alternate Shape.
Remember you can customize offset settings at any time.

More About Offset


How is the offset representation calculated?
The offset representation is obtained by:
1. Adding an offset to a selected set of shapes (surfaces or volumes), this provides a security margin around
these shapes
2. defining the orientation in which the offset is applied.
or/and if necessary
3. changing this orientation manually or automatically to correct the possible lack of uniformity between the
orientation vectors of the different surfaces.

The offset value can take any positive or negative values.


The following example aims at illustrating the impact of the offset value on the final result.

Case 1: offset value> 0

Case 2: offset value <0

Now let's study the orientation constraints option impact

Orientation constraints option:


Sometimes you will tackle with design inconsistencies. You can check the orientation constraints and/or define
orientation constraint vectors to force the orientation of the offset.
This procedure can be used when different surface patches are assigned opposite normal vectors.
The following example aims at illustrating the orientation constraints option.

Case 1: the orientation constraints option is not checked.


The default normal vectors define the offset orientation.

Result: If the surface patches are not correctly designed, there might be gaps between the different surface patches. In this
case, you need to use the orientation constraints option (automatic mode)
NB. You should study the result preview carefully to detect inconsistencies.

Case 2: you checked the orientation constraints option


The first default normal vector defines the offset orientation reference. This orientation is propagated to the neighboring
surfaces.

Result: If the surface patches are not correctly connected, there might still be remaining gaps between surface patches. In
this case, you need to use the orientation constraints option and to define manually constraint vectors.
NB. The surface patches are not correctly connected are highlighted in the result preview.

Case 3: you checked the orientation constraints option and defined two orientation
constraint vectors

NB. The constraint vectors defined manually appear as red arrows on the picture.
Result: The surface patches are now correctly connected (there is no longer highlighted surfaces)

Swept Volume
Define a Swept Volume: click the Swept Volume icon, then select a product to sweep
using the more button if necessary. Click Apply to generate the swept volume. When
done, click Ok to save your swept volume in cgr format.
Define a Swept Volume from a moving Reference: click the Swept Volume icon, then
select a product to sweep and a reference product. Click Apply to generate the swept
volume. When done, click Ok to save your swept volume in cgr format.
Filter Swept Volume Positions: click the Swept Volume icon, then select a product to
sweep using the more button to display the Multi-selection dialog box, then check the
Filter Positions option and enter a value in the Filtering precision field. Click Apply to
generate the swept volume. When done, click Ok to save your swept volume in cgr
format
More About Swept Volume: provides examples and explanations about swept volume
functionality

Defining A Swept Volume


Swept volume functionality:
lets you generate the swept volume of a moving part using an open simulation
created using external defined motion.

For more detailed information, please refer to More About Swept Volume
This task will show you how to define a swept volume.
Open the Product1duo.CATProduct document.
You recorded a simulation and compiled it. You obtained a Replay object. Please
refer to the Fitting Simulator User's Guide.
.
1. Click the Swept Volume icon
The Swept Volume dialog box is displayed.

2. Select the products to sweep.


3. Click the more button to display the Multi-selection dialog box.
If you are satisfied, click OK.

4. Click Apply to generate the swept volume.


The progress bar is displayed letting you monitor and, if necessary, interrupt
(Cancel option) the calculation.

The preview window shows the result.

5. Click OK.
The Save As dialog box is displayed, select cgr and click Save.
Note you can now save your swept volume result in vrml (wrl) format.

6. Enter a meaningful name and click Save to obtain a cgr file.


Now insert your swept volume result into your product.
7. Right-click Product1 in the specification tree
8. Select Components->Existing Component from the contextual menu.
9. Select the SWEPTVOLUME_absoluteresult.cgr document.

This is what you


obtain:

The swept volume


result is identified in
the specification tree.

The result shows clash detection, but you are note sure enough. You need to
define a swept volume using a moving reference. Go to the next task for more
details.

Defining a Swept Volume from a Moving


Reference
Swept Volume functionality:
lets you generate the swept volume of a moving part in the axis system of another moving part. It can
be very useful if you need to perform clash detection or if you need to calculate the minimum distance
between two products moving within the same replay object.

For more detailed information, please refer to More About Swept Volume.
This task shows how to define a swept volume from a moving reference.
Open the Product1duo.CATProduct document.
You recorded a multi-shuttle Simulation and compiled it. You obtained a Replay object.
You need to perform clash analysis between two items. You generated a simple swept volume.
Please refer to Defining a Swept Volume. You are not satisfied with the swept volume result as the
clash detection is not clear enough (see illustration below).
You need to generate another swept volume using the GARDENA,REGULATION_COMMAND.1 as
reference product.
In our example, we use
GARDENA,REGULATION_COMMAND.1
GARDENA, NOZZLE_1_2.1

.
1. Click the Swept Volume icon
The Swept Volume dialog box is displayed.

2. Uncheck the Filter Positions option which is checked by default.


3. Select the product you want to sweep. In our example, select GARDENA,NOZZLE_1_2.1.
4.

Click

to display the Reference Product Selection dialog box:

5. Select GARDENA,REGULATION_COMMAND.1 as reference product.


6. Click Ok to confirm your operation.
The Swept Volume dialog box is automatically updated.

6. Click Apply to generate the swept volume.


The preview window shows the result:
The progress bar is displayed letting you monitor and, if necessary, interrupt (Cancel option) the
calculation.

7. Click OK.
The Save As dialog box automatically appears
8. Select cgr and click Save.
Note you can also save your result in vrml (wrl).

Now, import the swept volume result into your product


9. Right-click GARDENA,REGULATION_COMMAND.1 in the specification tree.

10. Select Components->Existing Component from the contextual menu displayed.


11.

Select the SWEPTVOLUME_relativeresult.cgr from the samples folder


This is what you obtain:

The Swept volume result is identified in the specification tree.

Filtering Swept Volume Positions


Swept Volume functionality:
enables to filter the number of pre-defined positions recorded in the simulation and to
control the swept volume accuracy.
It can be very useful if you need to reduce the computation time and the resulting
size.
This task shows how to define filter swept volume positions.
Open the Product1duo2.CATProduct document.
You recorded a multi-shuttle Simulation and compiled it. You obtained a Replay
object.
You need to perform clash analysis between two items. You generated a simple
swept volume. Please refer to Defining a Swept Volume. You are not satisfied with the
swept volume result. You need a coarser result.

1. Select ReplayForFilter in the specification


tree.

2.
Click the Swept Volume icon
.
The Swept Volume dialog box is displayed.

3. Click in the Product(s) to sweep spin box, the Product Multiselection dialog box lets
you select or deselect the products you want to sweep.

4. Multi-select shuttle 2 and GARDENA_NOZZLE_1_2.1


5. Click Ok to confirm your operation
The Swept Volume dialog box is automatically updated.

6. Enter 20mm as filtering precision value.

Click Apply to generate the swept volume.


the progress bar is displayed letting you monitor and, if necessary, interrupt (Cancel
option) the calculation.
The preview window shows the result:

7. Click OK.
The Save As dialog box automatically appears
8. Select cgr as format type and click Save.
Note you can now save your swept volume result in vrml (wrl) format.

Now, import the swept volume result into your product


9. Right-click Product.1 in the specification tree.
10. Select Components-> Existing component from the contextual menu displayed.
Select SWEPTVOLUME_filterresult.cgr from the samples folder.
This is what you obtain:

The Swept volume result is identified in the specification tree.

More About Swept Volume


About Filter positions option:
This option can be used to simplify the swept volume computation when the replay object contains many positions or
when you know what precision level you need to obtain.
The "filter precision" defines the maximum distance allowed between the simplified trajectory and the initial one (=
discretization precision)

1- Filtering swept volume positions


The following example aims at illustrating the impact of the filter positions option on the final result

Case 1: the Filter positions option is not checked:

Case 2: the Filter positions option is checked


Filtering precision = 5mm

Case 3: the Filter positions option is checked


Filtering precision = 10mm

2- Relative swept volume


About Relative swept volume:
You can compute the swept volume of a moving part in the system axis of another moving part.
You can use this option when you need to analyze the swept volume of a product versus another product (moving or
not)
Example: two moving parts: circle and square
With the basic computation of the swept volumes, the clash analysis is not relevant:
the swept volumes clash but two objects may not be in the same clash area at the same time.

If you use the relative swept volume option and select the circle as the reference product, you can compute the square
swept volume in the circle system axis.
The result can now be relevant for clash analysis.

Generating a Free Space


Free Space functionality:
lets you calculate and visualize the available space in a model. The result is a solid.
You can then:
easily perform analysis on this solid (volume, inertia...)
consider this solid as the outside boundaries of the components to be assembled inside the original
model.
You can now compute the Free Space between elements within the boundaries of a given area with a
more accurate definition
The free space command among the possibly multiple result pieces chooses the only one connex to a
user defined point
This task will show you how to calculate a free space from two different purposes
You need to calculate a free space (volume) which will be assigned a new functionality (analysis...)(in
box option)
or a free space which corresponds to a capacity (in nearly closed geometry option)

Open TankClosed2.CATProduct document.


to position the model geometry on the screen.
Use the Fit All In icon
1. (Optional)
You can automatically manage your free space result as alternate shape.
For this:
a. Select Tools->Options from the menu bar.
The Options dialog box displays.
b. Expand the Digital Mockup category from the left-hand tree.
c. Select DMU Optimizer item to display the corresponding tab.
d. In the Free Space field, check the Manage as alternate shape button and activate the Activate shape
option.
When activated the free space representation is the one visualized in the session.

2.
from the DMU Optimizer toolbar.
Click the Free Space icon
The Free Space dialog box and Free space box are displayed:

The box appears in the geometry area

3. Select Product1
4. Keep the default type ( in box area).
5. Keep the default value in the accuracy field.
Note that if you change the accuracy value (because you are not satisfied with the first value you entered),
command from the standard toolbar. You are still in the free space command and
you need to use the
you can then enter a new accuracy value.
6. Define the free space, You can either:
enter coordinates values in the Free space box,
resize the box with the manipulators within the geometry area,
or click
7.

Click

.
.

8. Click Apply to generate the free space.


The progress bar is displayed letting you monitor and, if necessary, interrupt (Cancel option) the calculation.

The preview window shows the result:

9. Click Ok.
The Save As dialog box automatically appears

10. Enter a meaningful name and click Save to generate a 3dmap file.
Now repeat the scenario from step 1 but select the nearly closed area option in the Free Space dialog box.
You are going to calculate the capacity of the tank.
11. Select in nearly closed area option

You can now compute the free space between elements within the boundaries of a given area with a more
accurate definition, selecting a init point

12. For this,


Click the Section Plane button

. to position your point.

The Edit Section Plane dialog box and a Preview


window are displayed

13. Position your init point acordingly


for instance, move the section plane acordingly:
move the section plane in the x,y plane of the local axis system:
For this
Press and hold down the left mouse button, then the middle mouse button and drag (still holding both
buttons down) to move the plane to the desired location.
Please refer to Manipulating Section Planes Directly in the DMU Space Analysis User's Guide

14. Click Ok in the Edit Section Plane dialog box. The box is updated with the coordinates defined.
15. Enter 40 mm in the Accuracy value field.

16. Click Apply to generate the free space.


The progress bar is displayed letting you monitor and, if necessary, interrupt (Cancel option) the
calculation.

The preview window shows the result:

14.

If you are satisfied with the result click Ok and then save in the Save As dialog box to obtain a 3dmap file.

15.
If you are not satisfied, use the

command and enter a new accuracy value.

Advanced Tasks
The table below lists the tasks you will find in this section.
Managing an Alternate Shape
Writing Macros

Managing an Alternate Shape


Through the multi representation capability offered by the V5 product structure, DMU
Optimizer resulting shapes may be managed as alternate shapes of the input
component.
This task shows you how to manage representations as alternate shapes automatically.
1. Select the Tools->Options... command.
The Options dialog box appears
2. Expand the Digital Mockup category in the left-hand tree.
3. Click the DMU Optimizer tab.

4. Select the required representation, for example Offset.


Customize the representation settings as required:
Manage as alternate shape: if set the resulting offset shape is managed as
the offset component alternate shape (i.e. input component)

5.

Shape Name: name of the representation


Activate Shape: if activated the Offset representation is the one visualized in
the session.
Default Shape: if activated the offset representation will be the default shape,
the one loaded when opening the product.

6. Click Ok to confirm your operation.


After a new offset calculation, if you right-click the product and select Manage
representations, the Manage representation dialog box is automatically updated with
the offset representation.

In DMU Optimizer, it is impossible to generate various alternate shapes with the same
name. Only the last generated alternate shape is taken into account.

Writing Macros
If you perform a task repeatedly, you can take advantage of a macro to automate it. A macro is a series of functions, written in a scripting
language, that you group in a single command to perform the requested task automatically.
This task will show you how to edit a macro created in the DMU Optimizer workbench.
Open the ThicknessMacro.CATScript from the sample folder
You stored your recorded macros in a text format file. For more details about recording, running macros please refer to the DMU Navigator
Infrastructure User's Guide.
You can easily modify the macro instructions specific to DMU Optimizer (strings of characters put in bold).
Here is an example:
Thickness Macro
THICKNESS MACRO

EXPLANATIONS

Language="VBSCRIPT"
Sub CATMain()
Dim productDocument1 As Document
Set productDocument1 = CATIA.ActiveDocument
Dim optimizerWorkBench1 As Workbench
SetoptimizerWorkBench1=productDocument1.GetWorkbench("OptimizerWorkBench")
Dim dMOThicknesses1 As DMOThicknesses
Set dMOThicknesses1 = optimizerWorkBench1.Thicknesses
Dim product1 As Product
Set product1 = productDocument1.Product
Dim products1 As Products
Set products1 = product1.Products

Name of the product selected for the thickness.


Dim product2 As Product
Set product2 = products1.Item("SCENARIO01.1")

Enter a meaningful name if you wish to edit the name.

Product2 : corresponds to the selected product.


2.000000, -2.000000, Gives the values of the offset 1 and
offset 2, you defined.
Dim arrayOfVariantOfDouble1(5)
arrayOfVariantOfDouble1(0) = 1665.173462
arrayOfVariantOfDouble1(1) = -682.007568
arrayOfVariantOfDouble1(2) = -29.914585
arrayOfVariantOfDouble1(3) = -0.006795
arrayOfVariantOfDouble1(4) = -0.173679
arrayOfVariantOfDouble1(5) = 0.984779
Dim dMOThickness1 As DMOThickness
Set dMOThickness1 = dMOThicknesses1.Add(product2, 2.000000, -2.000000, 1, 1 corresponds to the number orientation constraints.
arrayOfVariantOfDouble1, "THICKNESS", 1, 0)
arrayOfVariantOfDouble1: defines the constraint
coordinates:
Dim documents1 As Documents
Set documents1 = CATIA.Documents
Dim document1 As Document
Set document1 = documents1.Item("THICKNESS_result.cgr")
document1.Activate

Constraint location point


arrayOfVariantOfDouble1(0) = 1665.173462
arrayOfVariantOfDouble1(1) = -682.007568
arrayOfVariantOfDouble1(2) = -29.914585

Corresponding normal vector


arrayOfVariantOfDouble1(3) = -0.006795
arrayOfVariantOfDouble1(4) = -0.173679
arrayOfVariantOfDouble1(5) = 0.984779

"THICKNESS": Name of the Alternate Shape

"" means the alternate shape option is deactivated.

1,0 : refers to the shape representation settings


1 -> "Activate shape" option is activated
0 -> "Default Shape" option is deactivated

Please refer to Managing as an alternate shape for


more details.
document1.SaveAs
"H:\BSFDOC\DmoEnglish\dmoug.doc\src\samples\THICKNESS_result"
document1.Close
productDocument1.Activate

Gives the location of the cgr file you saved.

End Sub

End Sub
Open the SilhouetteMacro.CATScript from the samples folder

Var 5: defines the viewpoints vector coordinates


Silhouette macro example :

Dim arrayOfVariantOfDouble1(17)
arrayOfVariantOfDouble1(0) = 1.000000
arrayOfVariantOfDouble1(1) = 0.000000
arrayOfVariantOfDouble1(2) = 0.000000
arrayOfVariantOfDouble1(3) = -1.000000
arrayOfVariantOfDouble1(4) = 0.000000
arrayOfVariantOfDouble1(5) = 0.000000
arrayOfVariantOfDouble1(6) = 0.000000
arrayOfVariantOfDouble1(7) = 1.000000
arrayOfVariantOfDouble1(8) = 0.000000

Coordinates of the first viewpoint vector :


arrayOfVariantOfDouble1(0) = 1.000000
arrayOfVariantOfDouble1(1) = 0.000000
arrayOfVariantOfDouble1(2) = 0.000000
and so on...

arrayOfVariantOfDouble1(9) = 0.000000
arrayOfVariantOfDouble1(10) = -1.000000
arrayOfVariantOfDouble1(11) = 0.000000
arrayOfVariantOfDouble1(12) = 0.000000
arrayOfVariantOfDouble1(13) = 0.000000
arrayOfVariantOfDouble1(14) = 1.000000
arrayOfVariantOfDouble1(15) = 0.000000
arrayOfVariantOfDouble1(16) = 0.000000
arrayOfVariantOfDouble1(17) = -1.000000
Dim silhouette1 As Silhouette
Set silhouette1 = silhouettes1.Add(product2, 20.000000,
arrayOfVariantOfDouble1, "SILHOUETTE", 1, 0)

Workbench Description
This section contains the description of the icons and menus which are specific to the DMU Optimizer
workbench.
The DMU Optimizer window looks like this: (click the sensitive areas to see the related documentation).

DMU Menu Bar


DMU Optimizer Toolbar
Sectioning Tools Toolbar

DMU Optimizer Menu Bar


Here we will present the various menus and menu commands that are specific to DMU
Kinematics Simulator Version 5.

Start

File

Edit

View

Insert

Tools

Analyze Windows

Help

Tasks corresponding to General menu commands are described in the DMU Version 5
Infrastructure User's Guide.

Edit
For...

Description...

Undo

Cancels the last action.

Redo

Recovers the last action that was


undone.

Cut
Copy
Paste
Paste Special

Performs cut
Copy
Paste and
special paste operations.

Delete

Deletes selected geometry.

Search

Allows searching and selecting objects.

Links

Manages links to other documents.

Properties

Allows displaying and Editing

Insert
For...

See...

Existing Component Starting a Session

Tools
For...
Formula...

Description...

Allows using
Knowledgeware capabilities.
Image
Allows capturing and
managing images for the
album.
Writing a DMU Optimizer
Macro
Macro
Allows customizing toolbars.
Customize... see DMU Infrastructure
User's Guide
Allows customizing settings.
Options... See Managing an Alternate
Shape
Search
Allows creating a document
Order...
search order.

DMU Optimizer Toolbar


The DMU Optimizer toolbar contains a number of tools that are useful for DMU Optimizer.

See Generating a Silhouette


See Generating a Wrapping
See Generating a Thickness
See Generating an Offset
See Defining a Swept Volume
See Defining a Swept Volume from a Moving Reference
See Filtering Swept Volume Positions
See Generating a Free Space

Sectioning Tools Toolbar


DMU Optimizer provides the sectioning tool. Please refer to DMU Space Analysis User's Guide for more information.
Using cutting planes, you can create sections, section slices, section boxes as well as 3D section cuts of your products
automatically.